﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GlobalScript : MonoBehaviour
{
    // Start is called before the first frame update
    void Start()
    {
        
    }


    void EnforceAllConstraints(){

        ParticleScript[] allP = transform.parent.GetComponentsInChildren<ParticleScript>();
        foreach (ParticleScript p in allP) {
            p.EnforceMyPositionalConstraints();
        }

        StickScript[] allS = transform.parent.GetComponentsInChildren<StickScript>();
        foreach (StickScript s in allS) {
            s.EnforceMyPositionalConstraint();
        }
    }

    private void updateParticlesPositionsOnScreen(){
        ParticleScript[] allP = transform.parent.GetComponentsInChildren<ParticleScript>();
        foreach (ParticleScript p in allP)
            p.transform.localPosition = p.pNow; // from our "Physics engine" to Unity rendering
    }


    void FixedUpdate()
    {
        EnforceAllConstraints();
        EnforceAllConstraints();
        EnforceAllConstraints();

        updateParticlesPositionsOnScreen();
    }
}
